Bug 137336 - "Reset Toolbars" does not set toolbars position
"Reset Toolbars" does not set toolbars position
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Window System
6.x
Sun Solaris
: P4 (vote)
: 6.x
Assigned To: Stanislav Aubrecht
issues@platform
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-16 16:28 UTC by kate
Modified: 2009-02-19 22:53 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description kate 2008-06-16 16:28:04 UTC
Product Version: NetBeans IDE Dev (Build 200806160002)
Java: 1.6.0_01; Java HotSpot(TM) Client VM 1.6.0_01-b06
System: SunOS version 5.11 running on x86; ISO646-US; en (nb)

1. Close all toolbars in View - Toolbars.
2. Press View - Toolbars - Reset Toolbars. Five toolbars are displayed and placed one next to other (on the same
"toolbar line").
3. Grab corner of IDE window and make the whole IDE window smaller.
4. If some toolbar would get invisible (because of too small IDE window) it is automatically moved to the next "toolbar
line" (= it is placed under the visible toolbars).
5. Make IDE window the smallest possible.
6. Now, maximize IDE window.
7. There are 5 toolbars placed one under other (So, they cover almost a half of the whole IDE window). 
8. Press "View - Toolbars - Reset Toolbars".
8. Nothing changes. 

I would suppose "Reset Toolbar" not only to make some defined toolbars be displayed but also to give them default layout
(one next to other; if possible)
Comment 1 David Simonek 2008-06-17 15:56:07 UTC
Passing to Standa and making P4 priority, as this looks like edge case (make IDE window smallest possible) and moreover
next "Toolbar Reset" action will fix it.
Comment 2 Stanislav Aubrecht 2008-11-28 11:32:50 UTC
fixed

4f828389f2be


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo